package com.imyeyu.fx.ui.examples.component;

import com.imyeyu.fx.ui.TimiFXUI;
import javafx.scene.layout.BorderPane;

/**
 * 抽象面板
 *
 * @author 夜雨
 * @since 2022-08-26 14:55
 */
public abstract class AbstractPane extends BorderPane implements TimiFXUI {

	/** 显示时触发，UI 线程 */
	protected void onShow() {
		// 子类实现
	}

	/** 隐藏时触发，UI 线程 */
	protected void onHide() {
		// 子类实现
	}

	/** 显示面板事件，由调用者触发，通常是侧边导航 */
	public final void show() {
		onShow();
	}

	/** 隐藏面板事件，由侧边导航触发 */
	public final void hide() {
		onHide();
	}
}
